Loading...
Searching...
No Matches
doc_sbml_error_code_ranges Class Reference

## Detailed Description

  Calling programs may wish to check which enumeration a given SBMLError object's error identifier is actually from:
  - 0000000 to 0009999: #XMLErrorCode_t (a low-level XML problem)
  - 0010000 to 0099999: #SBMLErrorCode_t (a problem with the SBML core specification)
  - 1000000 to 1099999: #CompSBMLErrorCode_t (a problem with the SBML Level 3 Hierarchical Model Composition package specification).
  - 2000000 to 2099999: #FbcSBMLErrorCode_t (a problem with the SBML Level 3 Flux Balance Constraints package specification).
  - 3000000 to 3099999: #QualSBMLErrorCode_t (a problem with the SBML Level 3 Qualitative Models package specification).
  - 6000000 to 6099999: #LayoutSBMLErrorCode_t (a problem with the SBML Level 3 Layout package specification).
  Other error code ranges are reserved for other packages.